package com.nuliji.tools.exception;

/**
 * Created by gaojie on 2017/5/11.
 * 参数验证异常
 */
public class ParameterException extends InsideException {
    public ParameterException(int code, String message){
        super(code, message);
    }

    public ParameterException(String message) {
        super(message);
    }

    public ParameterException(String message, Throwable cause) {
        super(message, cause);
    }

    public ParameterException(Throwable cause) {
        super(cause);
    }

    public ParameterException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
